Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.window
Class WindowState

    java.lang.Object
      |
      +--com.bea.netuix.servlets.controls.Capability
            |
            +--com.bea.netuix.servlets.controls.window.WindowState

All Implemented Interfaces:
  Serializable

public class WindowState
extends Capability
implements Serializable

Represents a `State` the window may be in. States can be enabled or disabled and if enabled the window can diplay the States specific URL instead of the normal content. A Window can only be in one state at a time.
This control extends Capability as the user may need to be entitled to set the window into this state.

See Also:
  Serialized Form

Constructor Summary
`protected` | `WindowState(com.bea.netuix.nf.state.ControlStateReader reader)` Constructs a window state from the given reader.
`` | `WindowState(String name)` Constructor - with state enabled to false

Method Summary
`protected void` | `write(com.bea.netuix.nf.state.ControlStateWriter writer)` Writes the state to the writer.

Methods inherited from class com.bea.netuix.servlets.controls.Capability
`equals, equals, getName, isEntitlementsEnabled, setEntitlementsEnabled, setName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WindowState

    public WindowState(String name)

  Constructor - with state enabled to false

Parameters:
  `name` - of this state - must be unique

### WindowState

    protected WindowState(com.bea.netuix.nf.state.ControlStateReader reader)

  Constructs a window state from the given reader.

Parameters:
  `reader` - reader

Method Detail

### write

    protected void write(com.bea.netuix.nf.state.ControlStateWriter writer)

  Writes the state to the writer.

  Parameters:
    `writer` - writer

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved